// .storybook/config.js
import { configure, addDecorator } from '@storybook/react';
import { initScreenshot, setScreenshotOptions } from 'storybook-chrome-screenshot';

// `storybook-chrome-screenshot`を初期化
addDecorator(initScreenshot());
setScreenshotOptions({
  viewport: {
    width: 100,
    height: 200,
  },
});

// components/**/*.stories.js ファイルを読み込む
const requireContext = require.context('../src/components/', true, /stories\.js$/);

configure(() => {
  requireContext.keys().map(requireContext);
}, module);
