// src/components/ArticleList/ArticleList.js
import React from 'react';
import PropTypes from 'prop-types';
import { connect } from 'react-redux';
import Article from '../Article/Article';

export const ArticleList = ({ articles }) => {
  if (!articles.length) {
    return <p>記事はありません</p>;
  }

  return articles.map(({ id, title, contents, img }) => (
    <React.Fragment key={id}>
      <Article article={{ id, title, contents, img }} />
      <hr />
    </React.Fragment>
  ));
};

ArticleList.propTypes = {
  articles: PropTypes.arrayOf(Article.propTypes.article).isRequired,
};

const Container = connect(state => ({ articles: state.articles }))(ArticleList);

export default Container;
