// src/components/ArticleList/ArticleList.stories.js
import React from 'react';
import { storiesOf } from '@storybook/react';
import { withInfo } from '@storybook/addon-info';
import { Provider } from 'react-redux';
import article from '../Article/Article.stories';
import README from './README.md.txt';
import Container, { ArticleList } from './ArticleList';

const withReadme = text => (story, context) => (process.env.NODE_ENV === 'test' ? (story()) : withInfo(text)(story)(context));

const articles = [
  { ...article, id: '1', title: 'タイトル1', contents: '本文1' },
  { ...article, id: '2', title: 'タイトル2', contents: '本文2' },
];

export default articles;

storiesOf('ArticleList', module)
  .addDecorator(withReadme(README))
  .add('記事あり', () =>
    <ArticleList articles={articles} />)
  .add('記事なし', () =>
    <ArticleList articles={[]} />);

const store = {
  getState: () => ({ articles }),
  dispatch: () => {},
  subscribe: () => {},
};

storiesOf('ArtileList Container', module)
  .addDecorator(getStory => (
    <Provider store={store}>
      {getStory()}
    </Provider>
  ))
  .add('記事あり', () => <Container />);
