// src/components/Button/Button.js
import React from 'react';
import PropTypes from 'prop-types';

const Button = ({ onClick, children }) => (
  <button onClick={onClick}>
    {children}
  </button>
);

Button.propTypes = {
  onClick: PropTypes.func.isRequired,
  children: PropTypes.string,
};

Button.defaultProps = {
  children: '',
};

export default Button;
